/[gentoo-x86]/app-office/libreoffice/libreoffice-4.1.9999.ebuild
Gentoo

Contents of /app-office/libreoffice/libreoffice-4.1.9999.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.2 - (show annotations) (download)
Mon May 27 13:21:27 2013 UTC (14 months ago) by scarabeus
Branch: MAIN
Changes since 1.1: +2 -2 lines
Fix typo.

(Portage version: 2.2.0_alpha177/cvs/Linux x86_64, signed Manifest commit with key 8EEE3BE8)

1 # Copyright 1999-2013 Gentoo Foundation
2 # Distributed under the terms of the GNU General Public License v2
3 # $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-4.1.9999.ebuild,v 1.1 2013/05/22 11:13:47 scarabeus Exp $
4
5 EAPI=5
6
7 KDE_REQUIRED="optional"
8 QT_MINIMAL="4.7.4"
9 KDE_SCM="git"
10 CMAKE_REQUIRED="never"
11
12 PYTHON_COMPAT=( python2_7 python3_3 )
13 PYTHON_REQ_USE="threads,xml"
14
15 # experimental ; release ; old
16 # Usually the tarballs are moved a lot so this should make
17 # everyone happy.
18 DEV_URI="
19 http://dev-builds.libreoffice.org/pre-releases/src
20 http://download.documentfoundation.org/libreoffice/src/${PV:0:5}/
21 http://download.documentfoundation.org/libreoffice/old/${PV}/
22 "
23 EXT_URI="http://ooo.itc.hu/oxygenoffice/download/libreoffice"
24 ADDONS_URI="http://dev-www.libreoffice.org/src/"
25
26 BRANDING="${PN}-branding-gentoo-0.7.tar.xz"
27 # PATCHSET="${P}-patchset-01.tar.xz"
28
29 [[ ${PV} == *9999* ]] && SCM_ECLASS="git-2"
30 inherit base autotools bash-completion-r1 check-reqs eutils java-pkg-opt-2 kde4-base pax-utils python-single-r1 multilib toolchain-funcs flag-o-matic nsplugins ${SCM_ECLASS}
31 unset SCM_ECLASS
32
33 DESCRIPTION="LibreOffice, a full office productivity suite."
34 HOMEPAGE="http://www.libreoffice.org"
35 SRC_URI="branding? ( http://dev.gentoo.org/~dilfridge/distfiles/${BRANDING} )"
36 [[ -n ${PATCHSET} ]] && SRC_URI+=" http://dev.gentooexperimental.org/~scarabeus/${PATCHSET}"
37
38 # Split modules following git/tarballs
39 # Core MUST be first!
40 # Help is used for the image generator
41 MODULES="core help"
42 # Only release has the tarballs
43 if [[ ${PV} != *9999* ]]; then
44 for i in ${DEV_URI}; do
45 for mod in ${MODULES}; do
46 if [[ ${mod} == core ]]; then
47 SRC_URI+=" ${i}/${P}.tar.xz"
48 else
49 SRC_URI+=" ${i}/${PN}-${mod}-${PV}.tar.xz"
50 fi
51 done
52 unset mod
53 done
54 unset i
55 fi
56 unset DEV_URI
57
58 # Really required addons
59 # These are bundles that can't be removed for now due to huge patchsets.
60 # If you want them gone, patches are welcome.
61 ADDONS_SRC+=" ${ADDONS_URI}/ea91f2fb4212a21d708aced277e6e85a-vigra1.4.0.tar.gz"
62 ADDONS_SRC+=" ${ADDONS_URI}/1f24ab1d39f4a51faf22244c94a6203f-xmlsec1-1.2.14.tar.gz" # modifies source code
63 ADDONS_SRC+=" java? ( ${ADDONS_URI}/17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip )"
64 ADDONS_SRC+=" libreoffice_extensions_wiki-publisher? ( ${ADDONS_URI}/a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip )" # no release for 8 years, should we package it?
65 ADDONS_SRC+=" libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip )" # Does not build with 1.6 rhino at all
66 ADDONS_SRC+=" libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/35c94d2df8893241173de1d16b6034c0-swingExSrc.zip )" # requirement of rhino
67 ADDONS_SRC+=" odk? ( http://download.go-oo.org/extern/185d60944ea767075d27247c3162b3bc-unowinreg.dll )" # not packageable
68 SRC_URI+=" ${ADDONS_SRC}"
69
70 unset ADDONS_URI
71 unset EXT_URI
72 unset ADDONS_SRC
73
74 IUSE="bluetooth +branding +cups dbus debug eds gnome gstreamer +gtk
75 gtk3 jemalloc kde mysql odk opengl postgres telepathy test +vba +webdav"
76
77 LO_EXTS="nlpsolver presenter-minimizer scripting-beanshell scripting-javascript wiki-publisher"
78 # Unpackaged separate extensions:
79 # diagram: lo has 0.9.5 upstream is weirdly patched 0.9.4 -> wtf?
80 # hunart: only on ooo extensions -> fubared download path somewhere on sf
81 # numbertext, typo, validator, watch-window: ^^
82 # oooblogger: no homepage or anything
83 # Extensions that need extra work:
84 for lo_xt in ${LO_EXTS}; do
85 IUSE+=" libreoffice_extensions_${lo_xt}"
86 done
87 unset lo_xt
88
89 LICENSE="|| ( LGPL-3 MPL-1.1 )"
90 SLOT="0"
91 [[ ${PV} == *9999* ]] || \
92 KEYWORDS="~amd64 ~arm ~ppc ~x86 ~amd64-linux ~x86-linux"
93
94 COMMON_DEPEND="
95 ${PYTHON_DEPS}
96 app-arch/zip
97 app-arch/unzip
98 >=app-text/hunspell-1.3.2-r3
99 app-text/mythes
100 >=app-text/libexttextcat-3.2
101 app-text/liblangtag
102 app-text/libmspub
103 >=app-text/libmwaw-0.1.7
104 app-text/libodfgen
105 app-text/libwpd:0.9[tools]
106 app-text/libwpg:0.2
107 >=app-text/libwps-0.2.2
108 >=app-text/poppler-0.16:=[xpdf-headers(+),cxx]
109 >=dev-cpp/clucene-2.3.3.4-r2
110 >=dev-cpp/libcmis-0.3.1:0.3
111 dev-db/unixODBC
112 dev-libs/expat
113 >=dev-libs/hyphen-2.7.1
114 >=dev-libs/icu-4.8.1.1:=
115 >=dev-libs/liborcus-0.5.1:=
116 >=dev-libs/nspr-4.8.8
117 >=dev-libs/nss-3.12.9
118 >=dev-lang/perl-5.0
119 >=dev-libs/openssl-1.0.0d
120 >=dev-libs/redland-1.0.14[ssl]
121 media-gfx/graphite2
122 >=media-libs/fontconfig-2.8.0
123 media-libs/freetype:2
124 >=media-libs/harfbuzz-0.9.10:=
125 media-libs/lcms:2
126 >=media-libs/libpng-1.4
127 >=media-libs/libcdr-0.0.5
128 media-libs/libvisio
129 >=net-misc/curl-7.21.4
130 net-nds/openldap
131 sci-mathematics/lpsolve
132 virtual/jpeg
133 >=x11-libs/cairo-1.10.0[X]
134 x11-libs/libXinerama
135 x11-libs/libXrandr
136 x11-libs/libXrender
137 bluetooth? ( net-wireless/bluez )
138 cups? ( net-print/cups )
139 dbus? ( >=dev-libs/dbus-glib-0.92 )
140 eds? ( gnome-extra/evolution-data-server )
141 gnome? ( gnome-base/gconf:2 )
142 gtk? (
143 x11-libs/gdk-pixbuf[X]
144 >=x11-libs/gtk+-2.24:2
145 )
146 gtk3? ( >=x11-libs/gtk+-3.2:3 )
147 gstreamer? (
148 media-libs/gstreamer:1.0
149 media-libs/gst-plugins-base:1.0
150 )
151 jemalloc? ( dev-libs/jemalloc )
152 libreoffice_extensions_scripting-beanshell? ( >=dev-java/bsh-2.0_beta4 )
153 libreoffice_extensions_scripting-javascript? ( dev-java/rhino:1.6 )
154 libreoffice_extensions_wiki-publisher? (
155 dev-java/commons-codec:0
156 dev-java/commons-httpclient:3
157 dev-java/commons-lang:2.1
158 dev-java/commons-logging:0
159 dev-java/tomcat-servlet-api:3.0
160 )
161 mysql? ( >=dev-db/mysql-connector-c++-1.1.0 )
162 opengl? (
163 virtual/glu
164 virtual/opengl
165 )
166 postgres? ( >=dev-db/postgresql-base-9.0[kerberos] )
167 telepathy? (
168 dev-libs/glib:2
169 >=net-libs/telepathy-glib-0.18.0
170 >=x11-libs/gtk+-2.24:2
171 )
172 webdav? ( net-libs/neon )
173 "
174
175 RDEPEND="${COMMON_DEPEND}
176 !app-office/libreoffice-bin
177 !app-office/libreoffice-bin-debug
178 !<app-office/openoffice-bin-3.4.0-r1
179 !app-office/openoffice
180 media-fonts/libertine-ttf
181 media-fonts/liberation-fonts
182 media-fonts/urw-fonts
183 java? ( >=virtual/jre-1.6 )
184 "
185
186 if [[ ${PV} != *9999* ]]; then
187 PDEPEND="~app-office/libreoffice-l10n-${PV}"
188 else
189 # Translations are not reliable on live ebuilds
190 # rather force people to use english only.
191 PDEPEND="!app-office/libreoffice-l10n"
192 fi
193
194 # FIXME: cppunit should be moved to test conditional
195 # after everything upstream is under gbuild
196 # as dmake execute tests right away
197 DEPEND="${COMMON_DEPEND}
198 >=dev-libs/boost-1.46
199 >=dev-libs/libxml2-2.7.8
200 dev-libs/libxslt
201 dev-perl/Archive-Zip
202 dev-util/cppunit
203 >=dev-util/gperf-3
204 dev-util/intltool
205 >=dev-util/mdds-0.8.1:=
206 virtual/pkgconfig
207 net-misc/npapi-sdk
208 >=sys-apps/findutils-4.4.2
209 sys-devel/bison
210 sys-apps/coreutils
211 sys-devel/flex
212 sys-devel/gettext
213 >=sys-devel/make-3.82
214 sys-devel/ucpp
215 sys-libs/zlib
216 x11-libs/libXt
217 x11-libs/libXtst
218 x11-proto/randrproto
219 x11-proto/xextproto
220 x11-proto/xineramaproto
221 x11-proto/xproto
222 java? (
223 >=virtual/jdk-1.6
224 >=dev-java/ant-core-1.7
225 )
226 odk? ( app-doc/doxygen )
227 test? ( dev-util/cppunit )
228 "
229
230 PATCHES=(
231 # not upstreamable stuff
232 "${FILESDIR}/${PN}-3.7-system-pyuno.patch"
233 )
234
235 REQUIRED_USE="
236 bluetooth? ( dbus )
237 gnome? ( gtk )
238 eds? ( gnome )
239 libreoffice_extensions_nlpsolver? ( java )
240 libreoffice_extensions_scripting-beanshell? ( java )
241 libreoffice_extensions_scripting-javascript? ( java )
242 libreoffice_extensions_wiki-publisher? ( java )
243 "
244
245 CHECKREQS_MEMORY="512M"
246 CHECKREQS_DISK_BUILD="6G"
247
248 pkg_pretend() {
249 local pgslot
250
251 if [[ ${MERGE_TYPE} != binary ]]; then
252 check-reqs_pkg_pretend
253
254 if [[ $(gcc-major-version) -lt 4 ]] || \
255 ( [[ $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 6 ]] ) \
256 ; then
257 eerror "Compilation with gcc older than 4.6 is not supported"
258 die "Too old gcc found."
259 fi
260 fi
261
262 # ensure pg version
263 if use postgres; then
264 pgslot=$(postgresql-config show)
265 if [[ ${pgslot//.} < 90 ]] ; then
266 eerror "PostgreSQL slot must be set to 9.0 or higher."
267 eerror " postgresql-config set 9.0"
268 die "PostgreSQL slot is not set to 9.0 or higher."
269 fi
270 fi
271 }
272
273 pkg_setup() {
274 java-pkg-opt-2_pkg_setup
275 kde4-base_pkg_setup
276 python-single-r1_pkg_setup
277
278 [[ ${MERGE_TYPE} != binary ]] && check-reqs_pkg_setup
279 }
280
281 src_unpack() {
282 local mod mod2 dest tmplfile tmplname mypv
283
284 [[ -n ${PATCHSET} ]] && unpack ${PATCHSET}
285 use branding && unpack "${BRANDING}"
286
287 if [[ ${PV} != *9999* ]]; then
288 unpack "${P}.tar.xz"
289 for mod in ${MODULES}; do
290 [[ ${mod} == core ]] && continue
291 unpack "${PN}-${mod}-${PV}.tar.xz"
292 done
293 else
294 for mod in ${MODULES}; do
295 mypv=${PV/.9999}
296 [[ ${mypv} != ${PV} ]] && EGIT_BRANCH="${PN}-${mypv/./-}"
297 EGIT_PROJECT="${PN}/${mod}"
298 EGIT_SOURCEDIR="${WORKDIR}/${P}"
299 [[ ${mod} != core ]] && EGIT_SOURCEDIR="${WORKDIR}/${PN}-${mod}-${PV}"
300 EGIT_REPO_URI="git://anongit.freedesktop.org/${PN}/${mod}"
301 EGIT_NOUNPACK="true"
302 git-2_src_unpack
303 if [[ ${mod} != core ]]; then
304 mod2=${mod}
305 # mapping does not match on help
306 [[ ${mod} == help ]] && mod2="helpcontent2"
307 mkdir -p "${S}/${mod2}/" || die
308 mv -n "${WORKDIR}/${PN}-${mod}-${PV}"/* "${S}/${mod2}" || die
309 rm -rf "${WORKDIR}/${PN}-${mod}-${PV}"
310 fi
311 done
312 unset EGIT_PROJECT EGIT_SOURCEDIR EGIT_REPO_URI EGIT_BRANCH
313 fi
314 }
315
316 src_prepare() {
317 # optimization flags
318 export GMAKE_OPTIONS="${MAKEOPTS}"
319 # System python 2.7 enablement:
320 export PYTHON_CFLAGS=$(python_get_CFLAGS)
321 export PYTHON_LIBS=$(python_get_LIBS)
322
323 # patchset
324 if [[ -n ${PATCHSET} ]]; then
325 EPATCH_FORCE="yes" \
326 EPATCH_SOURCE="${WORKDIR}/${PATCHSET/.tar.xz/}" \
327 EPATCH_SUFFIX="patch" \
328 epatch
329 fi
330
331 base_src_prepare
332
333 AT_M4DIR="m4" eautoreconf
334 # hack in the autogen.sh
335 touch autogen.lastrun
336
337 # system pyuno mess
338 sed \
339 -e "s:%eprefix%:${EPREFIX}:g" \
340 -e "s:%libdir%:$(get_libdir):g" \
341 -i pyuno/source/module/uno.py \
342 -i scripting/source/pyprov/officehelper.py || die
343 # sed in the tests
344 sed -i \
345 -e 's#all : build unitcheck#all : build#g' \
346 solenv/gbuild/Module.mk || die
347 sed -i \
348 -e 's#check: dev-install subsequentcheck#check: unitcheck slowcheck dev-install subsequentcheck#g' \
349 -e 's#Makefile.gbuild all slowcheck#Makefile.gbuild all#g' \
350 Makefile.in || die
351
352 if use branding; then
353 # hack...
354 mv -v "${WORKDIR}/branding-intro.png" "${S}/icon-themes/galaxy/brand/intro.png" || die
355 fi
356 }
357
358 src_configure() {
359 local java_opts
360 local internal_libs
361 local lo_ext
362 local ext_opts
363 local jbs=$(sed -ne 's/.*\(-j[[:space:]]*\|--jobs=\)\([[:digit:]]\+\).*/\2/;T;p' <<< "${MAKEOPTS}")
364
365 # recheck that there is some value in jobs
366 [[ -z ${jbs} ]] && jbs="1"
367
368 # sane: just sane.h header that is used for scan in writer, not
369 # linked or anything else, worthless to depend on
370 # vigra: just uses templates from there
371 # it is serious pain in the ass for packaging
372 # should be replaced by boost::gil if someone interested
373 internal_libs+="
374 --without-system-sane
375 --without-system-vigra
376 "
377
378 # libreoffice extensions handling
379 for lo_xt in ${LO_EXTS}; do
380 if [[ "${lo_xt}" == "scripting-beanshell" || "${lo_xt}" == "scripting-javascript" ]]; then
381 ext_opts+=" $(use_enable libreoffice_extensions_${lo_xt} ${lo_xt})"
382 else
383 ext_opts+=" $(use_enable libreoffice_extensions_${lo_xt} ext-${lo_xt})"
384 fi
385 done
386
387 if use java; then
388 # hsqldb: system one is too new
389 java_opts="
390 --without-junit
391 --without-system-hsqldb
392 --with-ant-home="${ANT_HOME}"
393 --with-jdk-home=$(java-config --jdk-home 2>/dev/null)
394 --with-jvm-path="${EPREFIX}/usr/$(get_libdir)/"
395 "
396
397 use libreoffice_extensions_scripting-beanshell && \
398 java_opts+=" --with-beanshell-jar=$(java-pkg_getjar bsh bsh.jar)"
399
400 use libreoffice_extensions_scripting-javascript && \
401 java_opts+=" --with-rhino-jar=$(java-pkg_getjar rhino-1.6 js.jar)"
402
403 if use libreoffice_extensions_wiki-publisher; then
404 java_opts+="
405 --with-commons-codec-jar=$(java-pkg_getjar commons-codec commons-codec.jar)
406 --with-commons-httpclient-jar=$(java-pkg_getjar commons-httpclient-3 commons-httpclient.jar)
407 --with-commons-lang-jar=$(java-pkg_getjar commons-lang-2.1 commons-lang.jar)
408 --with-commons-logging-jar=$(java-pkg_getjar commons-logging commons-logging.jar)
409 --with-servlet-api-jar=$(java-pkg_getjar tomcat-servlet-api-3.0 servlet-api.jar)
410 "
411 fi
412 fi
413
414 # system headers/libs/...: enforce using system packages
415 # --enable-cairo: ensure that cairo is always required
416 # --enable-graphite: disabling causes build breakages
417 # --enable-*-link: link to the library rather than just dlopen on runtime
418 # --enable-release-build: build the libreoffice as release
419 # --disable-fetch-external: prevent dowloading during compile phase
420 # --disable-gnome-vfs: old gnome virtual fs support
421 # --disable-kdeab: kde3 adressbook
422 # --disable-kde: kde3 support
423 # --disable-rpath: relative runtime path is not desired
424 # --disable-systray: quickstarter does not actually work at all so do not
425 # promote it
426 # --enable-extension-integration: enable any extension integration support
427 # --without-{afms,fonts,myspell-dicts,ppsd}: prevent install of sys pkgs
428 # --disable-report-builder: too much java packages pulled in without pkgs
429 econf \
430 --docdir="${EPREFIX}/usr/share/doc/${PF}/" \
431 --with-system-headers \
432 --with-system-libs \
433 --with-system-jars \
434 --with-system-dicts \
435 --enable-cairo-canvas \
436 --enable-graphite \
437 --enable-largefile \
438 --enable-mergelibs \
439 --enable-python=system \
440 --enable-randr \
441 --enable-randr-link \
442 --enable-release-build \
443 --enable-hardlink-deliver \
444 --disable-ccache \
445 --disable-crashdump \
446 --disable-dependency-tracking \
447 --disable-epm \
448 --disable-fetch-external \
449 --disable-gnome-vfs \
450 --disable-gstreamer-0-10 \
451 --disable-report-builder \
452 --disable-kdeab \
453 --disable-kde \
454 --disable-online-update \
455 --disable-rpath \
456 --disable-systray \
457 --with-alloc=$(use jemalloc && echo "jemalloc" || echo "system") \
458 --with-build-version="Gentoo official package" \
459 --enable-extension-integration \
460 --with-external-dict-dir="${EPREFIX}/usr/share/myspell" \
461 --with-external-hyph-dir="${EPREFIX}/usr/share/myspell" \
462 --with-external-thes-dir="${EPREFIX}/usr/share/myspell" \
463 --with-external-tar="${DISTDIR}" \
464 --with-lang="" \
465 --with-parallelism=${jbs} \
466 --with-system-ucpp \
467 --with-vendor="Gentoo Foundation" \
468 --with-x \
469 --without-afms \
470 --without-fonts \
471 --without-myspell-dicts \
472 --without-help \
473 --with-helppack-integration \
474 --without-sun-templates \
475 $(use_enable bluetooth sdremote-bluetooth) \
476 $(use_enable cups) \
477 $(use_enable debug) \
478 $(use_enable dbus) \
479 $(use_enable eds evolution2) \
480 $(use_enable gnome gconf) \
481 $(use_enable gnome gio) \
482 $(use_enable gnome lockdown) \
483 $(use_enable gtk) \
484 $(use_enable gtk3) \
485 $(use_enable kde kde4) \
486 $(use_enable mysql ext-mariadb-connector) \
487 $(use_enable odk) \
488 $(use_enable opengl) \
489 $(use_enable postgres postgresql-sdbc) \
490 $(use_enable telepathy) \
491 $(use_enable test linkoo) \
492 $(use_enable vba) \
493 $(use_enable webdav neon) \
494 $(use_with java) \
495 $(use_with mysql system-mysql-cppconn) \
496 $(use_with odk doxygen) \
497 ${internal_libs} \
498 ${java_opts} \
499 ${ext_opts}
500 }
501
502 src_compile() {
503 # hack for offlinehelp, this needs fixing upstream at some point
504 # it is broken because we send --without-help
505 # https://bugs.freedesktop.org/show_bug.cgi?id=46506
506 (
507 grep "^export" "${S}/config_host.mk" > "${T}/config_host.mk"
508 source "${T}/config_host.mk" 2&> /dev/null
509
510 local path="${SOLARVER}/${INPATH}/res/img"
511 mkdir -p "${path}" || die
512
513 echo "perl \"${S}/helpcontent2/helpers/create_ilst.pl\" -dir=icon-themes/galaxy/res/helpimg > \"${path}/helpimg.ilst\""
514 perl "${S}/helpcontent2/helpers/create_ilst.pl" \
515 -dir=icon-themes/galaxy/res/helpimg \
516 > "${path}/helpimg.ilst"
517 [[ -s "${path}/helpimg.ilst" ]] || ewarn "The help images list is empty, something is fishy, report a bug."
518 )
519
520 # this is not a proper make script
521 make build || die
522 }
523
524 src_test() {
525 make unitcheck || die
526 make slowcheck || die
527 }
528
529 src_install() {
530 # This is not Makefile so no buildserver
531 make DESTDIR="${D}" distro-pack-install -o build -o check || die
532
533 # Fix bash completion placement
534 newbashcomp "${ED}"/etc/bash_completion.d/libreoffice.sh ${PN}
535 rm -rf "${ED}"/etc/
536
537 if use branding; then
538 insinto /usr/$(get_libdir)/${PN}/program
539 newins "${WORKDIR}/branding-sofficerc" sofficerc
540 fi
541
542 # symlink the nsplugin to proper location
543 use gtk && inst_plugin /usr/$(get_libdir)/libreoffice/program/libnpsoplugin.so
544
545 # Hack for offlinehelp, this needs fixing upstream at some point.
546 # It is broken because we send --without-help
547 # https://bugs.freedesktop.org/show_bug.cgi?id=46506
548 insinto /usr/$(get_libdir)/libreoffice/help
549 doins xmlhelp/util/*.xsl
550
551 # Remove desktop files for support to old installs that can't parse mime
552 rm -rf "${ED}"/usr/share/mimelnk/
553 }
554
555 pkg_preinst() {
556 # Cache updates - all handled by kde eclass for all environments
557 kde4-base_pkg_preinst
558 }
559
560 pkg_postinst() {
561 kde4-base_pkg_postinst
562
563 pax-mark -m "${EPREFIX}"/usr/$(get_libdir)/libreoffice/program/soffice.bin
564 pax-mark -m "${EPREFIX}"/usr/$(get_libdir)/libreoffice/program/unopkg.bin
565
566 use java || \
567 ewarn 'If you plan to use lbase application you should enable java or you will get various crashes.'
568 }
569
570 pkg_postrm() {
571 kde4-base_pkg_postrm
572 }

  ViewVC Help
Powered by ViewVC 1.1.20